import React from "react";
import { makeStyles, styled } from "@mui/styles";
import { createTheme, ThemeProvider } from "@mui/material/styles";
import IconButton from "@mui/material/IconButton";
import { iconMapping } from "../icon-mapping.js";
import { useIconDictionary } from "../icon-dictionary";
import Tooltip from "@mui/material/Tooltip";
var theme = createTheme();
var useStyles = makeStyles(function (theme) {
  return {
    customHoverFocus: {
      "&[type='button']": {
        borderRadius: "10px",
        height: "2.5rem",
        justifyContent: "center",
        marginBottom: "0.625rem",
        width: "2.5rem"
      },
      "&[class^='MuiButtonBase']:hover": {
        backgroundColor: "#262c60",
        borderRadius: "0.75rem",
        transition: "background-color,border-radius .1s linear"
      }
    },
    selectedIcon: {
      "&[type='button']": {
        backgroundColor: "#262c60",
        borderRadius: "0.75rem",
        transition: "background-color,border-radius .1s linear"
      }
    }
  };
});
var Container = styled("div")(function (_ref) {
  var theme = _ref.theme;
  return {
    width: "4rem",
    height: "100%",
    display: "flex",
    flexDirection: "column",
    backgroundColor: "#5d6df2",
    flexShrink: 0,
    alignItems: "center"
  };
});
var InVisible = styled("div")(function () {
  return {
    height: 70
  };
}); // type Props = {
//   items: Array<{|
//     name: string,
//     helperText: string,
//     icon?: ?React.Node,
//     onClick: Function,
//   |}>,
// }

var emptyAr = [];
export var IconSidebar = function IconSidebar(_ref2) {
  var _ref2$items = _ref2.items,
      items = _ref2$items === void 0 ? emptyAr : _ref2$items,
      onClickItem = _ref2.onClickItem,
      _ref2$selectedTools = _ref2.selectedTools,
      selectedTools = _ref2$selectedTools === void 0 ? emptyAr : _ref2$selectedTools;
  var classes = useStyles();
  var customIconMapping = useIconDictionary();
  return /*#__PURE__*/React.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React.createElement(Container, null, /*#__PURE__*/React.createElement(InVisible, null), items.map(function (item) {
    var NameIcon = customIconMapping[item.name.toLowerCase()] || iconMapping[item.name.toLowerCase()] || iconMapping["help"];
    var buttonPart = /*#__PURE__*/React.createElement(IconButton, {
      className: [classes.customHoverFocus, item.selected || selectedTools.includes(item.name.toLowerCase()) ? classes.selectedIcon : null].filter(Boolean).join(" "),
      key: item.name,
      disabled: Boolean(item.disabled),
      onClick: item.onClick ? item.onClick : function () {
        return onClickItem(item);
      }
    }, item.icon || /*#__PURE__*/React.createElement(NameIcon, {
      style: {
        color: "#fff"
      }
    }));
    if (!item.helperText) return buttonPart;
    return /*#__PURE__*/React.createElement(Tooltip, {
      key: item.name,
      title: item.helperText,
      placement: "right"
    }, buttonPart);
  })));
};
export default IconSidebar;